module.exports = {
  root: true,
  extends: '@react-native-community',
  plugins: ['import'],
  rules: {
    'prettier/prettier': ['error', {endOfLine: 'auto'}],
    'react-native/no-inline-styles': 0,
  },
  settings: {
    'import/resolver': {
      node: {
        paths: ['src'],
        alias: {
          actions: './src/actions',
          assets: './src/assets',
          components: './src/components',
          constants: './src/constants',
          navigations: './src/navigations',
          reducers: './src/reducers',
          scenes: './src/scenes',
          services: './src/services',
          store: './src/store',
          'global-styles': './src/styles',
          utilities: './src/utilities',
          helpers: './src/helpers',
        },
      },
    },
  },
};
