import {StyleSheet, Dimensions, Platform} from 'react-native';
import {RFValue} from 'react-native-responsive-fontsize';
import {Colors, FONTS} from 'global-styles';
const {width, height} = Dimensions.get('window');

export default StyleSheet.create({
  modal: {
    margin: 0,
  },
  container: {
    flex: 1,
    margin: 0,
    justifyContent: 'flex-end',
  },
  content: {
    height: height,
    backgroundColor: Colors.WHITE,
    paddingVertical: width * 0.04,
  },
  header: {
    height: width * 0.2,
    paddingHorizontal: width * 0.04,
    backgroundColor: Colors.WHITE,
    borderBottomWidth: width * 0.002,
    borderBottomColor: Colors.LINE_STROKE,
    flexDirection: 'row',
    alignItems: 'center',
    paddingTop: width * 0.06,
    elevation: 5,
  },
  headerTitle: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(13),
    color: Colors.TEXT,
    marginTop: width * 0.004,
    paddingLeft: width * 0.03,
  },
  buttonCloseIcon: {
    fontSize: RFValue(20),
    color: Colors.TEXT,
  },
  body: {
    flex: 1,
    paddingHorizontal: width * 0.04,
    paddingVertical: width * 0.03,
    paddingBottom: width * 0.04,
  },
  note: {
    fontFamily: FONTS.poppins[400],
    fontSize: RFValue(11),
    color: Colors.TEXT,
  },
});
