/* eslint-disable prettier/prettier */
import React from 'react';
import {createStackNavigator} from '@react-navigation/stack';
import {
  Login,
  Register,
  BusinessProfileRegistration,
  BusinessSummary,
  OutletSummary,
  BankAccount,
  OperationalTime,
  MenuCategory,
  AddMenuCategory,
  ProductList,
  AddProduct,
} from 'scenes';

const AuthStack = createStackNavigator();

const AuthStackScreen = () => {
  return (
    <AuthStack.Navigator screenOptions={{headerShown: false}}>
      <AuthStack.Screen name="Login" component={Login} />
      <AuthStack.Screen name="Register" component={Register} />
      <AuthStack.Screen name="BusinessProfileRegistration" component={BusinessProfileRegistration} />
      <AuthStack.Screen name="BusinessSummary" component={BusinessSummary} />
      <AuthStack.Screen name="OutletSummary" component={OutletSummary} />
      <AuthStack.Screen name="BankAccount" component={BankAccount} />
      <AuthStack.Screen name="OperationalTime" component={OperationalTime} />
      <AuthStack.Screen name="MenuCategory" component={MenuCategory} />
      <AuthStack.Screen name="AddMenuCategory" component={AddMenuCategory} />
      <AuthStack.Screen name="ProductList" component={ProductList} />
      <AuthStack.Screen name="AddProduct" component={AddProduct} />
    </AuthStack.Navigator>
  );
};

export default AuthStackScreen;
