import {StyleSheet, Dimensions, Platform} from 'react-native';
import {RFValue} from 'react-native-responsive-fontsize';
import {Colors, FONTS} from 'global-styles';
const {width} = Dimensions.get('window');

export default StyleSheet.create({
  container: {
    flex: 1,
    paddingHorizontal: width * 0.05,
    paddingBottom: width * 0.04,
  },
  spacing: {
    marginVertical: width * 0.02,
  },
  imageUploadSection: {},
  imageUploadLabel: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(11.5),
    color: Colors.TEXT,
  },
  imageUploadNote: {
    fontFamily: FONTS.poppins[400],
    fontSize: RFValue(11),
    color: Colors.TEXT_LIGHT,
    marginTop: width * 0.005,
  },
  imageUpload: {
    width: width * 0.26,
    height: width * 0.25,
    borderWidth: 1,
    borderColor: Colors.PRIMARY,
    borderRadius: width * 0.025,
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: width * 0.03,
  },
  imageUploadIconWrap: {
    width: width * 0.08,
    height: width * 0.08,
    backgroundColor: Colors.PRIMARY,
    borderRadius: width,
    alignItems: 'center',
    justifyContent: 'center',
  },
  imageUploadIcon: {
    color: Colors.WHITE,
    fontSize: RFValue(14),
  },
  imgaeUploadText: {
    fontFamily: FONTS.poppins[500],
    fontSize: RFValue(9),
    color: Colors.PRIMARY,
    marginTop: width * 0.03,
  },
});
